<wo:Wrapper selectedTabId = "enseignantsstatutaires" selectedItemId = "$selectedItemId">
  <div id = "contenu">
    <fieldset style = "height:87%">
      <div class = "container">
        <h2><wo:string value = "Fiches de vœux" /></h2>
        <wo:form>
          <wo:CktlAjaxSimpleTableView id = "$tableViewId" displayGroup = "$displayGroup" item = "$currentItem" updateContainerID = "$buttonsContainerId" paginatorHasForm = "false" triMultiColonneEnabled = "$true" updateToolbarOnSelect = "$true" showToolbar = "$true" showFilters = "$true" useFixedHeader = "false">
            <wo:CktlAjaxSimpleTableViewHeader>
              <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "toIndividu.nomAffichage" label = "Nom" />
              <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "toIndividu.prenomAffichage" label = "Prénom" />
              <wo:CktlAjaxSimpleTableViewColumn label = "Service dû" />
              <wo:CktlAjaxSimpleTableViewColumn label = "Heures souhaitées" />
              <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "etatFicheVoeux" label = "Etat" />
            </wo:CktlAjaxSimpleTableViewHeader>
            <wo:CktlAjaxSimpleTableViewFilters>
              <th><wo:CktlAjaxFilterTextField value = "$tokenNom" action = "$filtrer" updateContainerID = "$tableViewId" timeout = "$application.ajaxCktlFilterTimeout" /></th>
              <th><wo:CktlAjaxFilterTextField value = "$tokenPrenom" action = "$filtrer" updateContainerID = "$tableViewId" timeout = "$application.ajaxCktlFilterTimeout" /></th>
              <th />
              <th />
              <th />
            </wo:CktlAjaxSimpleTableViewFilters>
            <wo:CktlAjaxSimpleTableViewBody>
              <td align = "left">
                <wo:hyperlink action = "$getLinkToFicheEnseignant"><wo:string value = "$currentItem.toIndividu.nomAffichage.toUpperCase" /></wo:hyperlink>
              </td>
              <td align = "left">
                <wo:hyperlink action = "$getLinkToFicheEnseignant"><wo:string value = "$currentItem.toIndividu.prenomAffichage" /></wo:hyperlink>
              </td>
              <td class = "cktl-right-align"><wo:CktlNumber value = "$serviceDu" /></td>
              <td class = "cktl-right-align peche-colored-number"><wo:CktlNumber value = "$nbHeuresSouhaitees" /></td>
              <td align = "left">
                <wo:conditional condition = "$estCurrentItemArbitrable"><wo:image src = "$srcImage" title = "Arbitrage possible" /></wo:conditional>
                <wo:string value = "$etatFicheVoeux" />
              </td>
            </wo:CktlAjaxSimpleTableViewBody>
          </wo:CktlAjaxSimpleTableView>
        </wo:form>
        <br />
        <wo:form>
          <wo:AjaxUpdateContainer id = "$buttonsContainerId">
            <wo:CktlSubmitButton type = "edit" action = "$ouvrirFicheVoeux" text = "$session.localizer.application.boutonFicheVoeux" disabled = "$boutonsInactifs" />
            <wo:if condition="$estMessageAvertissementValidationPresent">
            	<wo:CktlSubmitButton type = "edit" action = "$validerFiche" text = "$session.localizer.application.boutonValider" onClick = "if (confirm('Voulez-vous vraiment valider cette fiche de voeux bien qu&acute;il y ait un arbitrage à faire ?')) {return true;} else {return false;}" disabled = "$boutonValiderInactif" />
            </wo:if>
            <wo:else>
            	<wo:CktlSubmitButton type = "edit" action = "$validerFiche" text = "$session.localizer.application.boutonValider" onClick = "if (confirm('Voulez-vous vraiment valider cette fiche de voeux ?')) {return true;} else {return false;}" disabled = "$boutonValiderInactif" />
            </wo:else>
            <wo:CktlSubmitButton type = "edit" action = "$ouvrirArbitrage" text = "$session.localizer.application.boutonArbitrage" disabled = "$boutonArbitrageInactif" />            
          </wo:AjaxUpdateContainer>
        </wo:form>
      </div>
    </fieldset>
  </div>
</wo:Wrapper>